## org.eclipse.datatools.modelbase.sql.tables
Interface DerivedTable

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, Table

All Known Subinterfaces:
  IngresViewTable, SybaseASABaseViewTable, SybaseASEViewTable, SybaseViewTable, ViewTable

All Known Implementing Classes:
  org.eclipse.datatools.modelbase.sql.tables.impl.DerivedTableImpl, IngresViewTableImpl, JDBCView, SybaseASABaseViewTableImpl, SybaseASACatalogBaseViewTable, SybaseASECatalogView, SybaseASEViewTableImpl, SybaseViewTableImpl, org.eclipse.datatools.modelbase.sql.tables.impl.ViewTableImpl

    public interface DerivedTable

extends Table

A representation of the model object 'Derived Table'. Reference: 5WD-02-Foundation-2002-12 4.14 Tables

The following features are supported:

- `Query Expression`

See Also:
  `SQLTablesPackage.getDerivedTable()`

Method Summary
`QueryExpression` `getQueryExpression()` Returns the value of the 'Query Expression' containment reference.
`void` `setQueryExpression(QueryExpression value)` Sets the value of the '`Query Expression`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.Table
`getColumns, getIndex, getSchema, getSelfRefColumnGeneration, getSubtables, getSupertable, getTriggers, getUdt, isInsertable, isUpdatable, setSchema, setSelfRefColumnGeneration, setSupertable, setUdt`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getQueryExpression

    QueryExpression getQueryExpression()

  Returns the value of the 'Query Expression' containment reference.

  If the meaning of the 'Query Expression' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Query Expression' containment reference.
  See Also:
    `setQueryExpression(QueryExpression)`, `SQLTablesPackage.getDerivedTable_QueryExpression()`

### setQueryExpression

    void setQueryExpression(QueryExpression value)

  Sets the value of the '`Query Expression`' containment reference.

  Parameters:
    `value` - the new value of the 'Query Expression' containment reference.
  See Also:
    `getQueryExpression()`